Loading...
Searching...
No Matches
gtsam::WeightedSampler< Engine > Class Template Reference

## Public Member Functions

| WeightedSampler (Engine *engine)
| Construct from random number generation engine We only store a pointer to it.
std::vector< size_t > | sampleWithoutReplacement (size_t numSamples, const std::vector< double > &weights)

The documentation for this class was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/WeightedSampler.h